Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network161.77.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
161.77.0.0
Broadcast address
161.77.127.255
First usable
161.77.0.1
Last usable
161.77.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex A14D0000 · Integer 2706178048 to 2706210815
Reverse DNS zones
0.77.161.in-addr.arpa
1.77.161.in-addr.arpa
2.77.161.in-addr.arpa
3.77.161.in-addr.arpa
4.77.161.in-addr.arpa
5.77.161.in-addr.arpa
6.77.161.in-addr.arpa
7.77.161.in-addr.arpa
8.77.161.in-addr.arpa
9.77.161.in-addr.arpa
10.77.161.in-addr.arpa
11.77.161.in-addr.arpa
12.77.161.in-addr.arpa
13.77.161.in-addr.arpa
14.77.161.in-addr.arpa
15.77.161.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100001.01001101.00000000.00000000161.77.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10100001.01001101.00000000.00000000161.77.0.0
Broadcast10100001.01001101.01111111.11111111161.77.127.255
Split into smaller subnets/25

161.77.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1161.77.0.0/25161.77.0.1 to 161.77.0.126161.77.0.127126
2161.77.0.128/25161.77.0.129 to 161.77.0.254161.77.0.255126
3161.77.1.0/25161.77.1.1 to 161.77.1.126161.77.1.127126
4161.77.1.128/25161.77.1.129 to 161.77.1.254161.77.1.255126
5161.77.2.0/25161.77.2.1 to 161.77.2.126161.77.2.127126
6161.77.2.128/25161.77.2.129 to 161.77.2.254161.77.2.255126
7161.77.3.0/25161.77.3.1 to 161.77.3.126161.77.3.127126
8161.77.3.128/25161.77.3.129 to 161.77.3.254161.77.3.255126
9161.77.4.0/25161.77.4.1 to 161.77.4.126161.77.4.127126
10161.77.4.128/25161.77.4.129 to 161.77.4.254161.77.4.255126
11161.77.5.0/25161.77.5.1 to 161.77.5.126161.77.5.127126
12161.77.5.128/25161.77.5.129 to 161.77.5.254161.77.5.255126
13161.77.6.0/25161.77.6.1 to 161.77.6.126161.77.6.127126
14161.77.6.128/25161.77.6.129 to 161.77.6.254161.77.6.255126
15161.77.7.0/25161.77.7.1 to 161.77.7.126161.77.7.127126
16161.77.7.128/25161.77.7.129 to 161.77.7.254161.77.7.255126
17161.77.8.0/25161.77.8.1 to 161.77.8.126161.77.8.127126
18161.77.8.128/25161.77.8.129 to 161.77.8.254161.77.8.255126
19161.77.9.0/25161.77.9.1 to 161.77.9.126161.77.9.127126
20161.77.9.128/25161.77.9.129 to 161.77.9.254161.77.9.255126
21161.77.10.0/25161.77.10.1 to 161.77.10.126161.77.10.127126
22161.77.10.128/25161.77.10.129 to 161.77.10.254161.77.10.255126
23161.77.11.0/25161.77.11.1 to 161.77.11.126161.77.11.127126
24161.77.11.128/25161.77.11.129 to 161.77.11.254161.77.11.255126
25161.77.12.0/25161.77.12.1 to 161.77.12.126161.77.12.127126
26161.77.12.128/25161.77.12.129 to 161.77.12.254161.77.12.255126
27161.77.13.0/25161.77.13.1 to 161.77.13.126161.77.13.127126
28161.77.13.128/25161.77.13.129 to 161.77.13.254161.77.13.255126
29161.77.14.0/25161.77.14.1 to 161.77.14.126161.77.14.127126
30161.77.14.128/25161.77.14.129 to 161.77.14.254161.77.14.255126
31161.77.15.0/25161.77.15.1 to 161.77.15.126161.77.15.127126
32161.77.15.128/25161.77.15.129 to 161.77.15.254161.77.15.255126
33161.77.16.0/25161.77.16.1 to 161.77.16.126161.77.16.127126
34161.77.16.128/25161.77.16.129 to 161.77.16.254161.77.16.255126
35161.77.17.0/25161.77.17.1 to 161.77.17.126161.77.17.127126
36161.77.17.128/25161.77.17.129 to 161.77.17.254161.77.17.255126
37161.77.18.0/25161.77.18.1 to 161.77.18.126161.77.18.127126
38161.77.18.128/25161.77.18.129 to 161.77.18.254161.77.18.255126
39161.77.19.0/25161.77.19.1 to 161.77.19.126161.77.19.127126
40161.77.19.128/25161.77.19.129 to 161.77.19.254161.77.19.255126
41161.77.20.0/25161.77.20.1 to 161.77.20.126161.77.20.127126
42161.77.20.128/25161.77.20.129 to 161.77.20.254161.77.20.255126
43161.77.21.0/25161.77.21.1 to 161.77.21.126161.77.21.127126
44161.77.21.128/25161.77.21.129 to 161.77.21.254161.77.21.255126
45161.77.22.0/25161.77.22.1 to 161.77.22.126161.77.22.127126
46161.77.22.128/25161.77.22.129 to 161.77.22.254161.77.22.255126
47161.77.23.0/25161.77.23.1 to 161.77.23.126161.77.23.127126
48161.77.23.128/25161.77.23.129 to 161.77.23.254161.77.23.255126
49161.77.24.0/25161.77.24.1 to 161.77.24.126161.77.24.127126
50161.77.24.128/25161.77.24.129 to 161.77.24.254161.77.24.255126
51161.77.25.0/25161.77.25.1 to 161.77.25.126161.77.25.127126
52161.77.25.128/25161.77.25.129 to 161.77.25.254161.77.25.255126
53161.77.26.0/25161.77.26.1 to 161.77.26.126161.77.26.127126
54161.77.26.128/25161.77.26.129 to 161.77.26.254161.77.26.255126
55161.77.27.0/25161.77.27.1 to 161.77.27.126161.77.27.127126
56161.77.27.128/25161.77.27.129 to 161.77.27.254161.77.27.255126
57161.77.28.0/25161.77.28.1 to 161.77.28.126161.77.28.127126
58161.77.28.128/25161.77.28.129 to 161.77.28.254161.77.28.255126
59161.77.29.0/25161.77.29.1 to 161.77.29.126161.77.29.127126
60161.77.29.128/25161.77.29.129 to 161.77.29.254161.77.29.255126
61161.77.30.0/25161.77.30.1 to 161.77.30.126161.77.30.127126
62161.77.30.128/25161.77.30.129 to 161.77.30.254161.77.30.255126
63161.77.31.0/25161.77.31.1 to 161.77.31.126161.77.31.127126
64161.77.31.128/25161.77.31.129 to 161.77.31.254161.77.31.255126
65161.77.32.0/25161.77.32.1 to 161.77.32.126161.77.32.127126
66161.77.32.128/25161.77.32.129 to 161.77.32.254161.77.32.255126
67161.77.33.0/25161.77.33.1 to 161.77.33.126161.77.33.127126
68161.77.33.128/25161.77.33.129 to 161.77.33.254161.77.33.255126
69161.77.34.0/25161.77.34.1 to 161.77.34.126161.77.34.127126
70161.77.34.128/25161.77.34.129 to 161.77.34.254161.77.34.255126
71161.77.35.0/25161.77.35.1 to 161.77.35.126161.77.35.127126
72161.77.35.128/25161.77.35.129 to 161.77.35.254161.77.35.255126
73161.77.36.0/25161.77.36.1 to 161.77.36.126161.77.36.127126
74161.77.36.128/25161.77.36.129 to 161.77.36.254161.77.36.255126
75161.77.37.0/25161.77.37.1 to 161.77.37.126161.77.37.127126
76161.77.37.128/25161.77.37.129 to 161.77.37.254161.77.37.255126
77161.77.38.0/25161.77.38.1 to 161.77.38.126161.77.38.127126
78161.77.38.128/25161.77.38.129 to 161.77.38.254161.77.38.255126
79161.77.39.0/25161.77.39.1 to 161.77.39.126161.77.39.127126
80161.77.39.128/25161.77.39.129 to 161.77.39.254161.77.39.255126
81161.77.40.0/25161.77.40.1 to 161.77.40.126161.77.40.127126
82161.77.40.128/25161.77.40.129 to 161.77.40.254161.77.40.255126
83161.77.41.0/25161.77.41.1 to 161.77.41.126161.77.41.127126
84161.77.41.128/25161.77.41.129 to 161.77.41.254161.77.41.255126
85161.77.42.0/25161.77.42.1 to 161.77.42.126161.77.42.127126
86161.77.42.128/25161.77.42.129 to 161.77.42.254161.77.42.255126
87161.77.43.0/25161.77.43.1 to 161.77.43.126161.77.43.127126
88161.77.43.128/25161.77.43.129 to 161.77.43.254161.77.43.255126
89161.77.44.0/25161.77.44.1 to 161.77.44.126161.77.44.127126
90161.77.44.128/25161.77.44.129 to 161.77.44.254161.77.44.255126
91161.77.45.0/25161.77.45.1 to 161.77.45.126161.77.45.127126
92161.77.45.128/25161.77.45.129 to 161.77.45.254161.77.45.255126
93161.77.46.0/25161.77.46.1 to 161.77.46.126161.77.46.127126
94161.77.46.128/25161.77.46.129 to 161.77.46.254161.77.46.255126
95161.77.47.0/25161.77.47.1 to 161.77.47.126161.77.47.127126
96161.77.47.128/25161.77.47.129 to 161.77.47.254161.77.47.255126
97161.77.48.0/25161.77.48.1 to 161.77.48.126161.77.48.127126
98161.77.48.128/25161.77.48.129 to 161.77.48.254161.77.48.255126
99161.77.49.0/25161.77.49.1 to 161.77.49.126161.77.49.127126
100161.77.49.128/25161.77.49.129 to 161.77.49.254161.77.49.255126
101161.77.50.0/25161.77.50.1 to 161.77.50.126161.77.50.127126
102161.77.50.128/25161.77.50.129 to 161.77.50.254161.77.50.255126
103161.77.51.0/25161.77.51.1 to 161.77.51.126161.77.51.127126
104161.77.51.128/25161.77.51.129 to 161.77.51.254161.77.51.255126
105161.77.52.0/25161.77.52.1 to 161.77.52.126161.77.52.127126
106161.77.52.128/25161.77.52.129 to 161.77.52.254161.77.52.255126
107161.77.53.0/25161.77.53.1 to 161.77.53.126161.77.53.127126
108161.77.53.128/25161.77.53.129 to 161.77.53.254161.77.53.255126
109161.77.54.0/25161.77.54.1 to 161.77.54.126161.77.54.127126
110161.77.54.128/25161.77.54.129 to 161.77.54.254161.77.54.255126
111161.77.55.0/25161.77.55.1 to 161.77.55.126161.77.55.127126
112161.77.55.128/25161.77.55.129 to 161.77.55.254161.77.55.255126
113161.77.56.0/25161.77.56.1 to 161.77.56.126161.77.56.127126
114161.77.56.128/25161.77.56.129 to 161.77.56.254161.77.56.255126
115161.77.57.0/25161.77.57.1 to 161.77.57.126161.77.57.127126
116161.77.57.128/25161.77.57.129 to 161.77.57.254161.77.57.255126
117161.77.58.0/25161.77.58.1 to 161.77.58.126161.77.58.127126
118161.77.58.128/25161.77.58.129 to 161.77.58.254161.77.58.255126
119161.77.59.0/25161.77.59.1 to 161.77.59.126161.77.59.127126
120161.77.59.128/25161.77.59.129 to 161.77.59.254161.77.59.255126
121161.77.60.0/25161.77.60.1 to 161.77.60.126161.77.60.127126
122161.77.60.128/25161.77.60.129 to 161.77.60.254161.77.60.255126
123161.77.61.0/25161.77.61.1 to 161.77.61.126161.77.61.127126
124161.77.61.128/25161.77.61.129 to 161.77.61.254161.77.61.255126
125161.77.62.0/25161.77.62.1 to 161.77.62.126161.77.62.127126
126161.77.62.128/25161.77.62.129 to 161.77.62.254161.77.62.255126
127161.77.63.0/25161.77.63.1 to 161.77.63.126161.77.63.127126
128161.77.63.128/25161.77.63.129 to 161.77.63.254161.77.63.255126
129161.77.64.0/25161.77.64.1 to 161.77.64.126161.77.64.127126
130161.77.64.128/25161.77.64.129 to 161.77.64.254161.77.64.255126
131161.77.65.0/25161.77.65.1 to 161.77.65.126161.77.65.127126
132161.77.65.128/25161.77.65.129 to 161.77.65.254161.77.65.255126
133161.77.66.0/25161.77.66.1 to 161.77.66.126161.77.66.127126
134161.77.66.128/25161.77.66.129 to 161.77.66.254161.77.66.255126
135161.77.67.0/25161.77.67.1 to 161.77.67.126161.77.67.127126
136161.77.67.128/25161.77.67.129 to 161.77.67.254161.77.67.255126
137161.77.68.0/25161.77.68.1 to 161.77.68.126161.77.68.127126
138161.77.68.128/25161.77.68.129 to 161.77.68.254161.77.68.255126
139161.77.69.0/25161.77.69.1 to 161.77.69.126161.77.69.127126
140161.77.69.128/25161.77.69.129 to 161.77.69.254161.77.69.255126
141161.77.70.0/25161.77.70.1 to 161.77.70.126161.77.70.127126
142161.77.70.128/25161.77.70.129 to 161.77.70.254161.77.70.255126
143161.77.71.0/25161.77.71.1 to 161.77.71.126161.77.71.127126
144161.77.71.128/25161.77.71.129 to 161.77.71.254161.77.71.255126
145161.77.72.0/25161.77.72.1 to 161.77.72.126161.77.72.127126
146161.77.72.128/25161.77.72.129 to 161.77.72.254161.77.72.255126
147161.77.73.0/25161.77.73.1 to 161.77.73.126161.77.73.127126
148161.77.73.128/25161.77.73.129 to 161.77.73.254161.77.73.255126
149161.77.74.0/25161.77.74.1 to 161.77.74.126161.77.74.127126
150161.77.74.128/25161.77.74.129 to 161.77.74.254161.77.74.255126
151161.77.75.0/25161.77.75.1 to 161.77.75.126161.77.75.127126
152161.77.75.128/25161.77.75.129 to 161.77.75.254161.77.75.255126
153161.77.76.0/25161.77.76.1 to 161.77.76.126161.77.76.127126
154161.77.76.128/25161.77.76.129 to 161.77.76.254161.77.76.255126
155161.77.77.0/25161.77.77.1 to 161.77.77.126161.77.77.127126
156161.77.77.128/25161.77.77.129 to 161.77.77.254161.77.77.255126
157161.77.78.0/25161.77.78.1 to 161.77.78.126161.77.78.127126
158161.77.78.128/25161.77.78.129 to 161.77.78.254161.77.78.255126
159161.77.79.0/25161.77.79.1 to 161.77.79.126161.77.79.127126
160161.77.79.128/25161.77.79.129 to 161.77.79.254161.77.79.255126
161161.77.80.0/25161.77.80.1 to 161.77.80.126161.77.80.127126
162161.77.80.128/25161.77.80.129 to 161.77.80.254161.77.80.255126
163161.77.81.0/25161.77.81.1 to 161.77.81.126161.77.81.127126
164161.77.81.128/25161.77.81.129 to 161.77.81.254161.77.81.255126
165161.77.82.0/25161.77.82.1 to 161.77.82.126161.77.82.127126
166161.77.82.128/25161.77.82.129 to 161.77.82.254161.77.82.255126
167161.77.83.0/25161.77.83.1 to 161.77.83.126161.77.83.127126
168161.77.83.128/25161.77.83.129 to 161.77.83.254161.77.83.255126
169161.77.84.0/25161.77.84.1 to 161.77.84.126161.77.84.127126
170161.77.84.128/25161.77.84.129 to 161.77.84.254161.77.84.255126
171161.77.85.0/25161.77.85.1 to 161.77.85.126161.77.85.127126
172161.77.85.128/25161.77.85.129 to 161.77.85.254161.77.85.255126
173161.77.86.0/25161.77.86.1 to 161.77.86.126161.77.86.127126
174161.77.86.128/25161.77.86.129 to 161.77.86.254161.77.86.255126
175161.77.87.0/25161.77.87.1 to 161.77.87.126161.77.87.127126
176161.77.87.128/25161.77.87.129 to 161.77.87.254161.77.87.255126
177161.77.88.0/25161.77.88.1 to 161.77.88.126161.77.88.127126
178161.77.88.128/25161.77.88.129 to 161.77.88.254161.77.88.255126
179161.77.89.0/25161.77.89.1 to 161.77.89.126161.77.89.127126
180161.77.89.128/25161.77.89.129 to 161.77.89.254161.77.89.255126
181161.77.90.0/25161.77.90.1 to 161.77.90.126161.77.90.127126
182161.77.90.128/25161.77.90.129 to 161.77.90.254161.77.90.255126
183161.77.91.0/25161.77.91.1 to 161.77.91.126161.77.91.127126
184161.77.91.128/25161.77.91.129 to 161.77.91.254161.77.91.255126
185161.77.92.0/25161.77.92.1 to 161.77.92.126161.77.92.127126
186161.77.92.128/25161.77.92.129 to 161.77.92.254161.77.92.255126
187161.77.93.0/25161.77.93.1 to 161.77.93.126161.77.93.127126
188161.77.93.128/25161.77.93.129 to 161.77.93.254161.77.93.255126
189161.77.94.0/25161.77.94.1 to 161.77.94.126161.77.94.127126
190161.77.94.128/25161.77.94.129 to 161.77.94.254161.77.94.255126
191161.77.95.0/25161.77.95.1 to 161.77.95.126161.77.95.127126
192161.77.95.128/25161.77.95.129 to 161.77.95.254161.77.95.255126
193161.77.96.0/25161.77.96.1 to 161.77.96.126161.77.96.127126
194161.77.96.128/25161.77.96.129 to 161.77.96.254161.77.96.255126
195161.77.97.0/25161.77.97.1 to 161.77.97.126161.77.97.127126
196161.77.97.128/25161.77.97.129 to 161.77.97.254161.77.97.255126
197161.77.98.0/25161.77.98.1 to 161.77.98.126161.77.98.127126
198161.77.98.128/25161.77.98.129 to 161.77.98.254161.77.98.255126
199161.77.99.0/25161.77.99.1 to 161.77.99.126161.77.99.127126
200161.77.99.128/25161.77.99.129 to 161.77.99.254161.77.99.255126
201161.77.100.0/25161.77.100.1 to 161.77.100.126161.77.100.127126
202161.77.100.128/25161.77.100.129 to 161.77.100.254161.77.100.255126
203161.77.101.0/25161.77.101.1 to 161.77.101.126161.77.101.127126
204161.77.101.128/25161.77.101.129 to 161.77.101.254161.77.101.255126
205161.77.102.0/25161.77.102.1 to 161.77.102.126161.77.102.127126
206161.77.102.128/25161.77.102.129 to 161.77.102.254161.77.102.255126
207161.77.103.0/25161.77.103.1 to 161.77.103.126161.77.103.127126
208161.77.103.128/25161.77.103.129 to 161.77.103.254161.77.103.255126
209161.77.104.0/25161.77.104.1 to 161.77.104.126161.77.104.127126
210161.77.104.128/25161.77.104.129 to 161.77.104.254161.77.104.255126
211161.77.105.0/25161.77.105.1 to 161.77.105.126161.77.105.127126
212161.77.105.128/25161.77.105.129 to 161.77.105.254161.77.105.255126
213161.77.106.0/25161.77.106.1 to 161.77.106.126161.77.106.127126
214161.77.106.128/25161.77.106.129 to 161.77.106.254161.77.106.255126
215161.77.107.0/25161.77.107.1 to 161.77.107.126161.77.107.127126
216161.77.107.128/25161.77.107.129 to 161.77.107.254161.77.107.255126
217161.77.108.0/25161.77.108.1 to 161.77.108.126161.77.108.127126
218161.77.108.128/25161.77.108.129 to 161.77.108.254161.77.108.255126
219161.77.109.0/25161.77.109.1 to 161.77.109.126161.77.109.127126
220161.77.109.128/25161.77.109.129 to 161.77.109.254161.77.109.255126
221161.77.110.0/25161.77.110.1 to 161.77.110.126161.77.110.127126
222161.77.110.128/25161.77.110.129 to 161.77.110.254161.77.110.255126
223161.77.111.0/25161.77.111.1 to 161.77.111.126161.77.111.127126
224161.77.111.128/25161.77.111.129 to 161.77.111.254161.77.111.255126
225161.77.112.0/25161.77.112.1 to 161.77.112.126161.77.112.127126
226161.77.112.128/25161.77.112.129 to 161.77.112.254161.77.112.255126
227161.77.113.0/25161.77.113.1 to 161.77.113.126161.77.113.127126
228161.77.113.128/25161.77.113.129 to 161.77.113.254161.77.113.255126
229161.77.114.0/25161.77.114.1 to 161.77.114.126161.77.114.127126
230161.77.114.128/25161.77.114.129 to 161.77.114.254161.77.114.255126
231161.77.115.0/25161.77.115.1 to 161.77.115.126161.77.115.127126
232161.77.115.128/25161.77.115.129 to 161.77.115.254161.77.115.255126
233161.77.116.0/25161.77.116.1 to 161.77.116.126161.77.116.127126
234161.77.116.128/25161.77.116.129 to 161.77.116.254161.77.116.255126
235161.77.117.0/25161.77.117.1 to 161.77.117.126161.77.117.127126
236161.77.117.128/25161.77.117.129 to 161.77.117.254161.77.117.255126
237161.77.118.0/25161.77.118.1 to 161.77.118.126161.77.118.127126
238161.77.118.128/25161.77.118.129 to 161.77.118.254161.77.118.255126
239161.77.119.0/25161.77.119.1 to 161.77.119.126161.77.119.127126
240161.77.119.128/25161.77.119.129 to 161.77.119.254161.77.119.255126
241161.77.120.0/25161.77.120.1 to 161.77.120.126161.77.120.127126
242161.77.120.128/25161.77.120.129 to 161.77.120.254161.77.120.255126
243161.77.121.0/25161.77.121.1 to 161.77.121.126161.77.121.127126
244161.77.121.128/25161.77.121.129 to 161.77.121.254161.77.121.255126
245161.77.122.0/25161.77.122.1 to 161.77.122.126161.77.122.127126
246161.77.122.128/25161.77.122.129 to 161.77.122.254161.77.122.255126
247161.77.123.0/25161.77.123.1 to 161.77.123.126161.77.123.127126
248161.77.123.128/25161.77.123.129 to 161.77.123.254161.77.123.255126
249161.77.124.0/25161.77.124.1 to 161.77.124.126161.77.124.127126
250161.77.124.128/25161.77.124.129 to 161.77.124.254161.77.124.255126
251161.77.125.0/25161.77.125.1 to 161.77.125.126161.77.125.127126
252161.77.125.128/25161.77.125.129 to 161.77.125.254161.77.125.255126
253161.77.126.0/25161.77.126.1 to 161.77.126.126161.77.126.127126
254161.77.126.128/25161.77.126.129 to 161.77.126.254161.77.126.255126
255161.77.127.0/25161.77.127.1 to 161.77.127.126161.77.127.127126
256161.77.127.128/25161.77.127.129 to 161.77.127.254161.77.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses